- Qt 6.7
- Qt Remote Objects
- qt_add_repc_merged
- Qt 6.7.0 Reference Documentation

# qt_add_repc_merged

This command was introduced in Qt 6.2.

## Synopsis

     qt_add_repc_merged(<TARGET> rep_files)

     qt6_add_repc_merged(<TARGET> rep_files)

## Description

Runs repc and generates Qt Remote Objects Replica and Qt Remote Objects Source header files based on the given `rep_files` combined in a single header. Adds the generated files to `<TARGET>`.

## Examples

     qt6_add_repc_merged(directconnectexample
         simpleswitch.rep
     )

The generated file(s) will be of the form `rep_<replica file name>_merged.h`, in this case `rep_simpleswitch_merged.h`

Note: Typically sources and replicas live in separate processes or devices, so this function is not commonly used.